Kaspersky Internet Security 2016 System Requirements

 

 

Kaspersky Internet Security 2016

 
 
 

Kaspersky Internet Security 2016 System Requirements

Back to "Installation and Removal"
2017 Oct 25 ID: 12140
 
 
 
 

General requirements

  • 480 MB of free disk space
  • CD/DVD drive (when installing from a CD)
  • Internet connection (for activation and updates)
  • Pointing device (mouse, touchscreen, or other)
  • Microsoft Internet Explorer 8.0 or later
  • Microsoft Windows Installer 3.0 or later 
  • Microsoft .Net Framework 4 or later

Netbook requirements

  • Intel Atom processor 1.6 GHz and faster
  • Intel GMA950 video card (or better) with at least 64 MB of memory (or compatible equivalent)
  • Screen resolution of at least 1024×600

Compatible web browsers

  • Microsoft Internet Explorer 8.0 and later
  • Microsoft Edge 38.x and later (Secure Keyboard Input and the Kaspersky Protection extension functions are not supported)
  • Mozilla Firefox version 52.x and later
  • Mozilla Firefox ESR version 52.x and later
  • Google Chrome versions 45.x – 55.x.

Operating systems

  • Microsoft Windows XP Home Edition / Professional SP3 (32-bit) / Professional SP2 (64-bit)
    • Intel Pentium 1 Ghz or faster (or compatible equivalent)
    • 512 MB available RAM
  • Microsoft Windows Vista Home Basic / Home Premium / Business / Ultimate SP2 or later (32/64 bit)
  • Microsoft Windows 7 Starter / Home Basic / Home Premium / Professional / Ultimate SP1 or later (32/64 bit)
  • Microsoft Windows 8 Pro / Enterprise (32/64 bit)
  • Microsoft Windows 8.1 (Windows 8.1 Update) / Pro / Enterprise (32/64 bit)
  • Microsoft Windows 10 Home / Pro / Enterprise TH1 / TH2 / RS1 / RS2 / RS3 (32/64 bit)
    • Intel Pentium 1 Ghz or faster (or compatible equivalent)
    • 1 GB (32-bit) / 2 GB (64-bit) available RAM

Limitations

  • Microsoft Internet Explorer 10 and 11 with the new Windows user interface style are not supported. To access My Kaspersky portal, we recommend using Microsoft Internet Explorer 9.0 or later. 
  • Secure Keyboard Input and the Kaspersky Protection extension functionality are not supported in Microsoft Edge.
  • A number of features is restricted on 64-bit operating systems
  • Installation Assistant is not available for dynamic drives.
  • Webcam access protection is provided only for compatible webcam models.
  • Mozilla Firefox versions earlier than 52.x do not support the Kaspersky Protection extension.
  •  

 
 
 
 
Was this information helpful?
Yes No
 

 
 

Feedback on Technical Support Site

Please let us know what you think about the site design, improvements we could add and any errors we need to eliminate

Send My Website Feedback Send My Website Feedback

Thank you!

Thank you for submitting your feedback.
We will review your feedback shortly.